 @ECHO OFF
ECHO  Important:  If the display is in a "window" click on the
ECHO  "full Screen" icon on the window's task bar.
ECHO  =============================================================
ECHO  installC.bat  (Vers. 28 April 05), for "THE MILL" (Vers. Mill04a) 
ECHO  =============================================================
ECHO  GENERAL INFORMATION (Please read) 
ECHO       This is a combination Read-me file and Installation Program.
ECHO  This file applies no matter how the mstr04a_.exe master file was
ECHO  distributed.
ECHO       "The Mill" is a DOS program written in compiled Q-Basic.
ECHO  Various issues exist in running DOS programs under XP or similar 
ECHO  operating system environments. This new version, mill04a, should 
ECHO  work with all of the Windows operating systems presently in use.  
ECHO  It also includes some updates and corrects some minor glitches 
ECHO  that were reported in version mill02a.
PAUSE
ECHO  READ-ME (All users) 
ECHO  IN A NUTSHELL
ECHO       The following two brief items contain what is explained later
ECHO  in greater detail. You will already have done part of item 1.
ECHO       l. When the master file, mstr04a_.exe, was executed the
ECHO  installC.bat file (this file) was opened automatically. This
ECHO  file supplies detailed information and installs the program files
ECHO  in a folder named C:\mill04a. That will complete the installation
ECHO  for all users except those who are using XP type operating systems. 
ECHO       2. XP type users must place a blank system formatted
ECHO  bootable floppy in the A drive and then execute the installA.bat
ECHO  file that will be found in the C:\mill04a folder. That file will
ECHO  install the program files in the bootable floppy, thereby
ECHO  creating a bootable Program Disk. To run "The Mill", the computer
ECHO  must be booted to the Program Disk. The program will open
ECHO  automatically at the Main Menu. 
PAUSE
ECHO  Read-me continued (All users)
ECHO  IN GREATER DETAIL
ECHO       With respect to running DOS programs, the various Windows
ECHO  operating systems can be divided into two types as follows:
ECHO       The first type consists of the earlier Windows versions 
ECHO  that provide a convenient means for operating DOS programs under 
ECHO  Windows DOS, and also under true MS-DOS. Operating under true 
ECHO  MS-DOS is necessary if the user requires a serial port output for 
ECHO  external devices such as telegraph sounders or keying relays.
ECHO       The second type consists of the recent Windows versions that 
ECHO  do not provide a convenient means to run DOS programs. An example 
ECHO  is the XP operating system when using the NTFS filing system, 
ECHO  which denies access to the C drive from the A drive after having 
ECHO  booted to a DOS boot disk. The new version of "The Mill" and the 
ECHO  associated installation system provide a means for installing 
ECHO  and operating "The Mill" regardless of the operating system being 
ECHO  used.
PAUSE
ECHO  Read-me continued (all users)
ECHO      The present file, installC.bat, will automatically install the
ECHO  program files in a folder named c:\mill04a. First type users can
ECHO  run "The Mill" under Windows DOS or true MS-DOS using the means
ECHO  provided by the operating system. The name of the application
ECHO  file to run is mill04a.exe. A file named run-mill will be placed
ECHO  in the C root directory. Click on it in Windows, or type run-mill
ECHO  at the C: prompt. If desired, a short cut pointing to
ECHO  C:\mill04a.exe or c:\run-mill can be placed on the Desktop. 
PAUSE
ECHO  Read-me continued (second type users)
ECHO       Users having operating systems of the second type must first
ECHO  make the same installation as described above for the first type,  
ECHO  but the program will not be run from the C:\mill04a folder.  Some 
ECHO  second type users may find that the program appears to run 
ECHO  properly under Windows DOS from the C:\mill04a folder; however, 
ECHO  to prevent possible problems, and to be able to run under true 
ECHO  MS-DOS, it is recommended that all users who have operating 
ECHO  systems of the second type continue with the installation.  It is 
ECHO  short and simple, and is done as follows:
PAUSE
ECHO  Read-me continued (second type users) 
ECHO  CREATING THE BOOTABLE PROGRAM DISK 
ECHO       The second step required for second type users is to create 
ECHO  a bootable Program Disk from which the program will be run. 
ECHO  After the files have been installed in the C:\mill04a folder, 
ECHO  second type users must place a blank floppy in the A drive and 
ECHO  must format the floppy as a boot disk (system disk).  Leave the 
ECHO  floppy in the drive. The final step is to go to the C:\mill04a 
ECHO  folder and click on the "installA.bat" file (not installC.bat). 
ECHO  The installA.bat file will copy the program files from the 
ECHO  C:\mill04a folder to the blank system floppy, thereby creating a 
ECHO  "bootable Program Disk".
PAUSE
ECHO  Read-me continued
ECHO      The Program Disk will have sufficient free space for text
ECHO  files which the user may create for use with the program. Such
ECHO  text files must have certain allowed extensions as will be
ECHO  explained in the Operational Notes, which can be seleced from
ECHO  the Main Menu.
ECHO       Bootable Copies of the Program Disk can be made using Copy
ECHO  Disk. Although good for a backup, the program should not be
ECHO  distributed in this manner as such copies may not boot on
ECHO  computers running a different operating system from the one on
ECHO  which the disk was formatted.
PAUSE
ECHO  Read-me continued (second type users)
ECHO  RUNNING "THE MILL" FROM THE PROGRAM DISK
ECHO       The program must be run by booting the computer to the Program 
ECHO  Disk. The program will open automatically, and it will be running 
ECHO  under true MS-DOS.  It will not require access to the C drive. 
ECHO  The serial port output will be available for those who wish to 
ECHO  use it. Due to the slower drive, there will be a short delay as
ECHO  the screens and features load into memory, but this will not affect
ECHO  the running quality as the program will run from memory.
ECHO       When the computer is booted to the Program Disk, the program 
ECHO  will open at the Main Menu. When the Main Menu appears, a Getgoing 
ECHO  file and Operational Notes can be selected at the main Menu.
ECHO       Whenever it is desired to run "The Mill" again, the computer
ECHO  must be booted to the Program Disk. The program's error detection
ECHO  protects against most operator errors, but if the program should
ECHO  abort to the A: prompt, simply type "run" or "mill04a" and the
ECHO  program will open again.
PAUSE
ECHO  Read-me continued (first type users)
ECHO  A SUGGESTION  
ECHO       First type users who run telegraphy displays, like in marine
ECHO  or railroad museums, can create the Program Disk as described for
ECHO  second type users and run the program from the disk. For such use,
ECHO  "The Mill" has a feature which permits the program to be set up so
ECHO  that when the power is switched on the computer will boot and run
ECHO  a preselected file repeatedly until the power is switched off. 
PAUSE
ECHO  INSTALLING THE PROGRAM FILES INTO C:\MILL04A (all users)
ECHO       Until now, this file has only supplied  Read-me
ECHO  information. Now it must do its thing, which is to copy the
ECHO  program files to a c:\mill04a folder as previously described.
PAUSE
MD C:\MILL04a
COPY *.* C:\MILL04A
PAUSE
CD\
CD C:\mill04a
COPY run-mill.bat c:\
ECHO  "The Mill" has been installed in the c:\mill04a folder and a
ECHO  run file named "run-mill.bat" has been placed in the C: folder.
PAUSE
ECHO  Additional Read-me information (all users)
ECHO       When this file terminates, a run command will execute
ECHO  the mill04a.exe program file in the C:\mill04a folder.  First
ECHO  type users should find that the program opens and runs properly.
ECHO  "The Mill" will open at the Main Menu. Select G to view the
ECHO  Get Going file. At the earliest opportunity read the Operational
ECHO  Notes to learn how to use the program's features. The program will be
ECHO  running in Windows DOS, and the serial port will not be available.
ECHO  If the serial port output is needed, the user can boot to true
ECHO  MS-DOS using the means provided by the operating system. The file
ECHO  can be run by typing "run-mill" at the C prompt. For convenience,
ECHO  a short cut pointing to C:\mill04a\run-mill.bat or
ECHO  C:\mill04a.exe can be placed on the desktop.
PAUSE
ECHO  Read-me information continued (second type users)
ECHO      Some second type users may find that program opens and appears
ECHO  to run properly. Even if it should, it is strongly recommended that
ECHO  second type users create a bootable Program Disk and run the
ECHO  program from the disk.  
ECHO       Remember to format a system disk and place it in the A drive
ECHO  before clicking on the intallla.bat file in C:\mill04a folder.
ECHO       Additional information for XP-type users will be presented 
ECHO  when the installa.bat file is run.
ECHO       This file contains a lot of information. If a hard copy is
ECHO  desired, do not click on the installC.bat file, as it would run
ECHO  again. Instead, open the file in Notepad, where it will be
ECHO  displayed as a text file and can be printed.  
PAUSE
ECHO  (continued)
ECHO  HERE WE GO!
ECHO       The mill04a.exe program file in the c:\mill04a folder will 
ECHO  now be executed.
ECHO       Have fun!
PAUSE
mill04a.exe.





     



